summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD30
2 files changed, 46 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ba952a17984
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = libllfat
+ pkgdesc = library for low-level access to a FAT12/16/32 filesystem
+ pkgver = 0.1.4
+ pkgrel = 1
+ url = http://github.com/sgerwk/libllfat
+ arch = x86_64
+ arch = i686
+ license = GPL3
+ makedepends = gcc
+ makedepends = make
+ depends = glibc
+ source = libllfat-0.1.4.tar.gz::https://github.com/sgerwk/libllfat/archive/v0.1.4.tar.gz
+ md5sums = 871e2aebd09818adb2cf9ff85ad082aa
+
+pkgname = libllfat
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a0f53ce8f99
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintaner: sgerwk <sgerwk at aol dot com>
+# package script file for archlinux
+# makepkg -p THISFILE
+pkgname=libllfat
+pkgver=0.1.4
+pkgrel=1
+pkgdesc="library for low-level access to a FAT12/16/32 filesystem"
+license=(GPL3)
+url="http://github.com/sgerwk/libllfat"
+depends=(glibc)
+makedepends=('gcc' 'make')
+arch=('x86_64' 'i686')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/sgerwk/libllfat/archive/v$pkgver.tar.gz")
+md5sums=('871e2aebd09818adb2cf9ff85ad082aa')
+
+build() {
+ cd "$pkgname-$pkgver"
+ make || return 1
+}
+
+check() {
+ cd "$pkgname-$pkgver"
+ return $(test -x build/fattool)
+}
+
+package() {
+ cd "$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install || return 1
+}
+